import java.awt.CheckboxMenuItem;
import java.awt.Component;
import java.awt.Event;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;

class MenuFrameFrame extends Frame {
   MenuBar menuBar = new MenuBar();
   String str;
   Frame frame;

   MenuFrameFrame(String var1) {
      super(var1);
      ((Frame)this).setMenuBar(this.menuBar);
      Menu var2 = new Menu("Test");
      this.menuBar.add(var2);
      MenuItem var3 = new MenuItem("Command 1");
      var2.add(var3);
      var3 = new MenuItem("Command 2");
      var2.add(var3);
      var3 = new MenuItem("-");
      var2.add(var3);
      CheckboxMenuItem var4 = new CheckboxMenuItem("Check");
      var2.add(var4);
      var2 = new Menu("View");
      this.menuBar.add(var2);
      var4 = new CheckboxMenuItem("Window");
      var2.add(var4);
      this.str = "";
      Font var5 = new Font("TimesRoman", 1, 20);
      ((Component)this).setFont(var5);
      this.frame = new Frame("Second Window");
   }

   public void paint(Graphics var1) {
      ((Component)this).resize(300, 250);
      var1.drawString(this.str, 20, 100);
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target instanceof MenuItem) {
         if (var2 == "Command 1") {
            this.str = "You selected Command 1";
         } else if (var2 == "Command 2") {
            this.str = "You selected Command 2";
         } else if (var2 == "Check") {
            this.str = "You selected the Check item";
         } else if (var2 == "Window") {
            this.ShowHideWindow();
         }

         ((Component)this).repaint();
         return true;
      } else {
         return false;
      }
   }

   protected void ShowHideWindow() {
      boolean var1 = this.frame.isShowing();
      if (var1) {
         this.frame.hide();
      } else {
         this.frame.show();
         this.frame.resize(150, 150);
      }
   }
}
